Subject: Re: [bug#27344] [PATCH 02/12] gnu: Add libctl.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 15 Jun 2017 16:15:58 +0200

Hi Ludo,

On Thu, 15 Jun 2017 14:47:20 +0200
[email-masked] (Ludovic Courtès) wrote:

> Hi Danny,
> 
> Danny Milosavljevic <[email-masked]> skribis:
> 
> >> +(define-public libctl
> >> +  (package
> >> +    (name "libctl")  
> >  
> >>(inputs)
> >> +     `(("guile" ,guile-2.2)))  
> >
> > I think both the package name and the variable name should have a "guile2.2-" prefix.  
> 
> Actually no.  :-)
> 
> When Guile 2.0 was the default, I used the “guile2.2-” prefix for
> packages that were using 2.2 instead of 2.0.  Now most of them are
> deprecated and I do the reverse: use the “guile2.0-” prefix for packages
> that are still on 2.0.

Oh okay.  But libctl should still have a "guile-" prefix, right?